Avro C#

Public Member Functions | Properties | List of all members
Avro.Util.LogicalTypeFactory Class Reference

A factory for logical type implementations. More...

## Public Member Functions
void | Register (LogicalType logicalType)
| Registers or replaces a logical type implementation. More...
LogicalType | GetFromLogicalSchema (LogicalSchema schema, bool ignoreInvalidOrUnknown=false)
| Retrieves a logical type implementation for a given logical schema. More...

## Properties
static LogicalTypeFactory | Instance = new LogicalTypeFactory()`[get]`
| Returns the LogicalTypeFactory singleton. More...

## Detailed Description

A factory for logical type implementations.

## Member Function Documentation

## ◆ GetFromLogicalSchema()

LogicalType Avro.Util.LogicalTypeFactory.GetFromLogicalSchema | ( | LogicalSchema | schema,
|  | bool | ignoreInvalidOrUnknown = `false`
| ) |  |
| inline

Retrieves a logical type implementation for a given logical schema.

Parameters

  schema | The schema.
  ignoreInvalidOrUnknown | A flag to indicate if an exception should be thrown for invalid or unknown logical types.

Returns
  A LogicalType.

## ◆ Register()

void Avro.Util.LogicalTypeFactory.Register | ( | LogicalType | logicalType | ) |
| inline

Registers or replaces a logical type implementation.

Parameters

  logicalType | The LogicalType implementation that should be registered.

## Property Documentation

## ◆ Instance

LogicalTypeFactory Avro.Util.LogicalTypeFactory.Instance = new LogicalTypeFactory()
| static get

Returns the LogicalTypeFactory singleton.

Returns
  The LogicalTypeFactory singleton.

The documentation for this class was generated from the following file:

- src/apache/main/Util/LogicalTypeFactory.cs